<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Reader\Xlsx\Styles</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::">
            <span class="description"></span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_dxfs" title="dxfs ::">
            <span class="description"></span><pre>dxfs</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setStyleBaseData" title="setStyleBaseData ::">
            <span class="description"></span><pre>setStyleBaseData</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_styles" title="styles ::">
            <span class="description"></span><pre>styles</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected inherited">
                            <a href="#method_boolean" title="boolean ::">
                                <span class="description"></span><pre>boolean</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_getArrayItem" title="getArrayItem ::">
                                <span class="description"></span><pre>getArrayItem</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readAlignmentStyle" title="readAlignmentStyle ::">
                                <span class="description"></span><pre>readAlignmentStyle</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readBorder" title="readBorder ::">
                                <span class="description"></span><pre>readBorder</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readBorderStyle" title="readBorderStyle ::">
                                <span class="description"></span><pre>readBorderStyle</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readColor" title="readColor ::">
                                <span class="description"></span><pre>readColor</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readFillStyle" title="readFillStyle ::">
                                <span class="description"></span><pre>readFillStyle</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readFontStyle" title="readFontStyle ::">
                                <span class="description"></span><pre>readFontStyle</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readProtectionHidden" title="readProtectionHidden ::">
                                <span class="description"></span><pre>readProtectionHidden</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readProtectionLocked" title="readProtectionLocked ::">
                                <span class="description"></span><pre>readProtectionLocked</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_readStyle" title="readStyle ::">
                                <span class="description"></span><pre>readStyle</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Styles</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Reader.Xlsx.BaseParserClass.html">\PhpOffice\PhpSpreadsheet\Reader\Xlsx\BaseParserClass</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>__construct</h2>
                            <pre>__construct(\SimpleXMLElement $styleXml)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$styleXml</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_boolean"></a>
                        <div class="element clickable methodprotected method_boolean inherited" data-toggle="collapse" data-target=".method_boolean .collapse">
                            <h2>boolean</h2>
                            <pre>boolean( $value)</pre>
                            <div class="labels"><span class="label">inherited</span><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_dxfs"></a>
                        <div class="element clickable methodpublic method_dxfs" data-toggle="collapse" data-target=".method_dxfs .collapse">
                            <h2>dxfs</h2>
                            <pre>dxfs( $readDataOnly = false)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$readDataOnly</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getArrayItem"></a>
                        <div class="element clickable methodprivate method_getArrayItem" data-toggle="collapse" data-target=".method_getArrayItem .collapse">
                            <h2>getArrayItem</h2>
                            <pre>getArrayItem( $array, $key)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$array</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$key</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readAlignmentStyle"></a>
                        <div class="element clickable methodprivate method_readAlignmentStyle" data-toggle="collapse" data-target=".method_readAlignmentStyle .collapse">
                            <h2>readAlignmentStyle</h2>
                            <pre>readAlignmentStyle(\PhpOffice\PhpSpreadsheet\Style\Alignment $alignment,\SimpleXMLElement $alignmentXml)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$alignment</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$alignmentXml</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readBorder"></a>
                        <div class="element clickable methodprivate method_readBorder" data-toggle="collapse" data-target=".method_readBorder .collapse">
                            <h2>readBorder</h2>
                            <pre>readBorder(\PhpOffice\PhpSpreadsheet\Style\Border $border,\SimpleXMLElement $borderXml)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$border</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$borderXml</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readBorderStyle"></a>
                        <div class="element clickable methodprivate method_readBorderStyle" data-toggle="collapse" data-target=".method_readBorderStyle .collapse">
                            <h2>readBorderStyle</h2>
                            <pre>readBorderStyle(\PhpOffice\PhpSpreadsheet\Style\Borders $borderStyle,\SimpleXMLElement $borderStyleXml)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$borderStyle</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Borders.html">\PhpOffice\PhpSpreadsheet\Style\Borders</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$borderStyleXml</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readColor"></a>
                        <div class="element clickable methodprivate method_readColor" data-toggle="collapse" data-target=".method_readColor .collapse">
                            <h2>readColor</h2>
                            <pre>readColor( $color, $background = false)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$color</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$background</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readFillStyle"></a>
                        <div class="element clickable methodprivate method_readFillStyle" data-toggle="collapse" data-target=".method_readFillStyle .collapse">
                            <h2>readFillStyle</h2>
                            <pre>readFillStyle(\PhpOffice\PhpSpreadsheet\Style\Fill $fillStyle,\SimpleXMLElement $fillStyleXml)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$fillStyle</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$fillStyleXml</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readFontStyle"></a>
                        <div class="element clickable methodprivate method_readFontStyle" data-toggle="collapse" data-target=".method_readFontStyle .collapse">
                            <h2>readFontStyle</h2>
                            <pre>readFontStyle(\PhpOffice\PhpSpreadsheet\Style\Font $fontStyle,\SimpleXMLElement $fontStyleXml)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$fontStyle</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$fontStyleXml</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readProtectionHidden"></a>
                        <div class="element clickable methodprivate method_readProtectionHidden" data-toggle="collapse" data-target=".method_readProtectionHidden .collapse">
                            <h2>readProtectionHidden</h2>
                            <pre>readProtectionHidden(\PhpOffice\PhpSpreadsheet\Style\Style $docStyle, $style)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$docStyle</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Style\Style</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$style</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readProtectionLocked"></a>
                        <div class="element clickable methodprivate method_readProtectionLocked" data-toggle="collapse" data-target=".method_readProtectionLocked .collapse">
                            <h2>readProtectionLocked</h2>
                            <pre>readProtectionLocked(\PhpOffice\PhpSpreadsheet\Style\Style $docStyle, $style)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$docStyle</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Style\Style</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$style</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_readStyle"></a>
                        <div class="element clickable methodprivate method_readStyle" data-toggle="collapse" data-target=".method_readStyle .collapse">
                            <h2>readStyle</h2>
                            <pre>readStyle(\PhpOffice\PhpSpreadsheet\Style\Style $docStyle, $style)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$docStyle</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Style\Style</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$style</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setStyleBaseData"></a>
                        <div class="element clickable methodpublic method_setStyleBaseData" data-toggle="collapse" data-target=".method_setStyleBaseData .collapse">
                            <h2>setStyleBaseData</h2>
                            <pre>setStyleBaseData(\PhpOffice\PhpSpreadsheet\Reader\Xlsx\Theme $theme = null, $styles = array(), $cellStyles = array())</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$theme</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.Xlsx.Theme.html">\PhpOffice\PhpSpreadsheet\Reader\Xlsx\Theme</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$styles</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$cellStyles</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_styles"></a>
                        <div class="element clickable methodpublic method_styles" data-toggle="collapse" data-target=".method_styles .collapse">
                            <h2>styles</h2>
                            <pre>styles()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_theme"> </a>
                            <div class="element clickable propertyprivate property_theme" data-toggle="collapse" data-target=".property_theme .collapse">
                                <h2>Theme instance.</h2>
                                <pre>theme :\PhpOffice\PhpSpreadsheet\Reader\Xlsx\Theme</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.Xlsx.Theme.html">\PhpOffice\PhpSpreadsheet\Reader\Xlsx\Theme</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_styles"> </a>
                            <div class="element clickable propertyprivate property_styles" data-toggle="collapse" data-target=".property_styles .collapse">
                                <h2>styles</h2>
                                <pre>styles :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_cellStyles"> </a>
                            <div class="element clickable propertyprivate property_cellStyles" data-toggle="collapse" data-target=".property_cellStyles .collapse">
                                <h2>cellStyles</h2>
                                <pre>cellStyles :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_styleXml"> </a>
                            <div class="element clickable propertyprivate property_styleXml" data-toggle="collapse" data-target=".property_styleXml .collapse">
                                <h2>styleXml</h2>
                                <pre>styleXml :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Reader\Xlsx\Styles"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Reader.Xlsx.html">Xlsx</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.Xlsx.Styles.html">Styles</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:54 +0000.<br/>
    </footer></body>
</html>
